import express from 'express';
import { getLocationOfTarget } from './app.service';

let app = express();

app.get('/*', async (req, res) => {
    const target = req.url.slice(1);

    const location = await getLocationOfTarget(target);
    if (location) {
        res.redirect(location);
    }
    else {
        res.sendStatus(404);
    }
});

app.listen(3000, () => {
    console.log('Now listening on port 3000!');
});
